Get Browser Session
GET /v1/browser/sessions/{session_id}
Get browser session information
Authentication
Requires authentication via: OAuth2PasswordBearer.
Parameters
| Name | In | Type | Required | Description | Constraints |
|---|---|---|---|---|---|
session_id | path | string | Yes | ||
X-API-Key | header | string | null | No | nullable |
Responses
200
Successful Response
application/json
Resolved schema:
{
"properties": {
"session_id": {
"type": "string",
"title": "Session Id"
},
"status": {
"type": "string",
"title": "Status"
},
"viewport_width": {
"type": "integer",
"title": "Viewport Width"
},
"viewport_height": {
"type": "integer",
"title": "Viewport Height"
},
"user_agent": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "User Agent"
},
"created_at": {
"type": "string",
"format": "date-time",
"title": "Created At"
},
"last_activity": {
"type": "string",
"format": "date-time",
"title": "Last Activity"
},
"expires_at": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
],
"title": "Expires At"
}
},
"type": "object",
"required": [
"session_id",
"status",
"viewport_width",
"viewport_height",
"user_agent",
"created_at",
"last_activity",
"expires_at"
],
"title": "BrowserSessionResponse",
"description": "Response schema for browser session information"
}
Field details:
| Field | Type | Required | Description | Constraints |
|---|---|---|---|---|
session_id | string | Yes | ||
status | string | Yes | ||
viewport_width | integer | Yes | ||
viewport_height | integer | Yes | ||
user_agent | string | null | Yes | nullable | |
created_at | string | Yes | format=date-time | |
last_activity | string | Yes | format=date-time | |
expires_at | string | null | Yes | format=date-time, nullable |
422
Validation Error
application/json
Resolved schema:
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}
Field details:
| Field | Type | Required | Description | Constraints |
|---|---|---|---|---|
detail | array<object> | No | ||
detail[] | object | No | ||
detail[].loc | array<string | integer> | No | ||
detail[].loc[] | string | integer | No | ||
detail[].msg | string | No | ||
detail[].type | string | No |